Package com.avaya.clientservices.call.feature

## Class BusyIndicator

- java.lang.Object
- - com.avaya.clientservices.call.feature.BusyIndicator

-     public class BusyIndicator
      extends java.lang.Object

  Represent the Busy Indicator feature. An attendent can track busy or the idle status of a destination extension. This object is provided with notification whenever the status changes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BusyIndicator​(java.lang.String destinationExtension, java.lang.String destinationShortForm, java.lang.String destinationLabel, boolean isBusy, int buttonLocation)` | Constructs a BusyIndicator object from the specified parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `getButtonLocation()` | Returns the button location of the feature button as configured on the server.
    `java.lang.String` | `getDestinationExtension()` | Returns the destination extension being observed.
    `java.lang.String` | `getDestinationLabel()` | Returns the label associated with the destination, if configured on the server.
    `java.lang.String` | `getDestinationShortForm()` | Returns The short form of the destination, if provided by CM
    `int` | `hashCode()` |
    `boolean` | `isBusy()` | Indicates whether the destination extension is busy or not.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BusyIndicator

          public BusyIndicator​(java.lang.String destinationExtension,
                               java.lang.String destinationShortForm,
                               java.lang.String destinationLabel,
                               boolean isBusy,
                               int buttonLocation)

      Constructs a BusyIndicator object from the specified parameters.
      Parameters:
        `destinationExtension` - Destination extension.
        `destinationShortForm` - Short form of destination extension.
        `destinationLabel` - Destination extension label.
        `isBusy` - True if user extension is busy.
        `buttonLocation` - Index of BusyIndicator button.

  - ### Method Detail

    - #### getDestinationExtension

          public java.lang.String getDestinationExtension()

      Returns the destination extension being observed.
      Returns:
        the destination extension being observed.

    - #### getDestinationShortForm

          public java.lang.String getDestinationShortForm()

      Returns The short form of the destination, if provided by CM
      Returns:
        the short form of the destination, if provided by CM.

    - #### getDestinationLabel

          public java.lang.String getDestinationLabel()

      Returns the label associated with the destination, if configured on the server. If not configured, returns the empty string.
      Returns:
        the label associated with the destination, if configured on the server. If not configured, returns the empty string.

    - #### isBusy

          public boolean isBusy()

      Indicates whether the destination extension is busy or not.
      Returns:
        True if the destination extension is busy.

    - #### getButtonLocation

          public int getButtonLocation()

      Returns the button location of the feature button as configured on the server.
      Returns:
        the button location of the feature button as configured on the server.

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`